FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202012050338.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202012050338.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=171507d OS_GIT_VERSION=4.5.0-202012050338.p0-171507d SOURCE_DATE_EPOCH=1601076296 SOURCE_GIT_COMMIT=171507d5814b6ba081cab72ffa2afd6c52d1f283 SOURCE_GIT_TAG=171507d5 SOURCE_GIT_URL=https://github.com/openshift/cluster-ingress-operator 
WORKDIR /ingress-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.5.0.20201205.044256
ENV __doozer=update BUILD_RELEASE=202012050338.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202012050338.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=171507d OS_GIT_VERSION=4.5.0-202012050338.p0-171507d SOURCE_DATE_EPOCH=1601076296 SOURCE_GIT_COMMIT=171507d5814b6ba081cab72ffa2afd6c52d1f283 SOURCE_GIT_TAG=171507d5 SOURCE_GIT_URL=https://github.com/openshift/cluster-ingress-operator 
COPY --from=builder /ingress-operator/ingress-operator /usr/bin/
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/ingress-operator"]

LABEL \
        io.openshift.release.operator="true" \
        io.k8s.display-name="OpenShift ingress-operator" \
        io.k8s.description="This is a component of OpenShift Container Platform and manages the lifecycle of ingress controller components." \
        maintainer="Dan Mace <dmace@redhat.com>" \
        name="openshift/ose-cluster-ingress-operator" \
        com.redhat.component="ose-cluster-ingress-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Routing" \
        release="202012050338.p0" \
        io.openshift.build.commit.id="171507d5814b6ba081cab72ffa2afd6c52d1f283" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-ingress-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-ingress-operator/commit/171507d5814b6ba081cab72ffa2afd6c52d1f283" \
        version="v4.5.0"

